[adm5120] restore old patches for 2.6.21.5 kernel
[openwrt/svn-archive/archive.git] / target / linux / adm5120-2.6 / patches / 101-mtd-mxflash.patch
1 --- linux-2.6.19.2/drivers/mtd/chips/Kconfig.old 2007-01-11 03:10:36.000000000 +0800
2 +++ linux-2.6.19.2/drivers/mtd/chips/Kconfig 2007-03-29 14:43:32.000000000 +0800
3 @@ -199,6 +199,14 @@
4 provides support for one of those command sets, used on chips
5 including the AMD Am29LV320.
6
7 +config MTD_CFI_AMDSTD_FORCE_BOTTOM_BOOT
8 + bool "Force bottom boot for Macronix flash chips"
9 + depends on MTD_CFI_AMDSTD
10 + help
11 + Some Macronix flash chips have wrong CFI info, and the driver may
12 + detect the type incorrectly. Select this if the chip part number
13 + ends with BTC.
14 +
15 config MTD_CFI_STAA
16 tristate "Support for ST (Advanced Architecture) flash chips"
17 depends on MTD_GEN_PROBE
18 --- linux-2.6.19.2/drivers/mtd/chips/cfi_cmdset_0002.c.old 2007-03-22 16:14:56.000000000 +0800
19 +++ linux-2.6.19.2/drivers/mtd/chips/cfi_cmdset_0002.c 2007-03-29 14:07:28.000000000 +0800
20 @@ -320,6 +320,11 @@
21 cfi_tell_features(extp);
22 #endif
23
24 +#ifdef CONFIG_MTD_CFI_AMDSTD_FORCE_BOTTOM_BOOT
25 + extp->TopBottom = 2;
26 + bootloc = extp->TopBottom;
27 +#endif
28 +
29 bootloc = extp->TopBottom;
30 if ((bootloc != 2) && (bootloc != 3)) {
31 printk(KERN_WARNING "%s: CFI does not contain boot "